kind: List
apiVersion: v1
metadata:
  annotations:
    description: Examples that can be installed into your project to allow you to test the JBoss Data Virtualization templates. You should replace the contents with data that is more appropriate for your deployment.
labels:
  template: datavirt-security-secret
items:

- kind: Secret
  apiVersion: v1
  metadata:
    name: datavirt-security-config
    annotations:
      description: Security domain configuration.
  stringData:
    securitydomain.env: |

      SECURITY_DOMAINS=teiid_security
      JDBC_SECURITY_DOMAIN=teiid-security
      ODBC_SECURITY_DOMAIN=teiid-security
      ODATA_SECURITY_DOMAIN=teiid-security
      teiid_security_SECURITY_DOMAIN_NAME=teiid-security
      teiid_security_SECURITY_DOMAIN_CACHE_TYPE=default
      teiid_security_SECURITY_DOMAIN_LOGIN_MODULES=ldap
      ldap_LOGIN_MODULE_CODE=LdapExtended
      ldap_LOGIN_MODULE_FLAG=required
      ldap_MODULE_OPTION_NAME_java_naming_provider_url=java.naming.provider.url
      ldap_MODULE_OPTION_VALUE_java_naming_provider_url=ldap://ldap-app:389
      ldap_MODULE_OPTION_NAME_baseCtxDN=baseCtxDN
      ldap_MODULE_OPTION_VALUE_baseCtxDN=ou=people,dc=example,dc=com
      ldap_MODULE_OPTION_NAME_rolesCtxDN=rolesCtxDN
      ldap_MODULE_OPTION_VALUE_rolesCtxDN=ou=roles,dc=example,dc=com
      ldap_MODULE_OPTION_NAME_baseFilter=baseFilter
      ldap_MODULE_OPTION_VALUE_baseFilter=(uid={0})
      ldap_MODULE_OPTION_NAME_roleFilter=roleFilter
      ldap_MODULE_OPTION_VALUE_roleFilter=(member={0})
      ldap_MODULE_OPTION_NAME_defaultRole=defaultRole
      ldap_MODULE_OPTION_VALUE_defaultRole=odata
      
      DATAVIRT_TRANSPORT_KEY_ALIAS=keyalias
      DATAVIRT_TRANSPORT_KEYSTORE=keystore.jks
      DATAVIRT_TRANSPORT_KEYSTORE_PASSWORD=P@ssword1
      DATAVIRT_TRANSPORT_KEYSTORE_TYPE=JKS
      DATAVIRT_TRANSPORT_KEYSTORE_DIR=/opt/eap/standalone
      DATAVIRT_TRANSPORT_AUTHENTICATION_MODE=1-way
